search entities
curl --request POST \
--url https://api.example.com/api/v1/invite/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"from": 0,
"size": 10,
"where": "field1='value' and field2<>'value2'",
"sort": [
{
"field": "timestamp"
}
],
"trackTotal": false
}
EOFimport requests
url = "https://api.example.com/api/v1/invite/search"
payload = {
"from": 0,
"size": 10,
"where": "field1='value' and field2<>'value2'",
"sort": [{ "field": "timestamp" }],
"trackTotal": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: 0,
size: 10,
where: 'field1=\'value\' and field2<>\'value2\'',
sort: [{field: 'timestamp'}],
trackTotal: false
})
};
fetch('https://api.example.com/api/v1/invite/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"email": "<string>",
"roles": [
"<string>"
],
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"tenantId": 123,
"organisationId": 123,
"expiredAt": 123
}
],
"total": 123
}Invite Route
search entities
Search by params from response dto
POST
/
api
/
v1
/
invite
/
search
search entities
Authorizations
Authentication
Body
application/json
Starting document offset
Required range:
x >= 0Example:
0
The number of hits to return
Required range:
0 <= x <= 10000Example:
10
Query string to search for data. Represent SQL 'where'
Example:
"field1='value' and field2<>'value2'"
Sorting for the search
Minimum array length:
1Show child attributes
Show child attributes
Return total results field if true
⌘I